MapperListener (Tomcat API Documentation)
Keywords: org.apache.catalina.connector.MapperListener class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.connector
Class MapperListener

    java.lang.Object
      org.apache.catalina.connector.MapperListener

All Implemented Interfaces:
  java.util.EventListener, javax.management.NotificationListener, ContainerListener

    public class MapperListener

extends java.lang.Object
implements javax.management.NotificationListener, ContainerListener

Mapper listener.

Author:
  Remy Maucherat, Costin Manolache

Field Summary
`protected Mapper` | `mapper` Associated mapper.
`protected javax.management.MBeanServer` | `mBeanServer` MBean server.

Constructor Summary
`MapperListener(Mapper mapper)` Create mapper listener.

Method Summary
`void` | `containerEvent(ContainerEvent event)` Acknowledge the occurrence of the specified event.
`void` | `destroy()` unregister this from JMImplementation:type=MBeanServerDelegate
`java.lang.String` | `getDomain()`
`java.lang.String` | `getEngine()`
`void` | `handleNotification(javax.management.Notification notification, java.lang.Object handback)`
`void` | `init()` Initialize associated mapper.
`void` | `setDomain(java.lang.String domain)`
`void` | `setEngine(java.lang.String engine)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mapper

    protected Mapper mapper

  Associated mapper.

### mBeanServer

    protected javax.management.MBeanServer mBeanServer

  MBean server.

Constructor Detail

### MapperListener

    public MapperListener(Mapper mapper)

  Create mapper listener.

Method Detail

### getDomain

    public java.lang.String getDomain()

### setDomain

    public void setDomain(java.lang.String domain)

### getEngine

    public java.lang.String getEngine()

### setEngine

    public void setEngine(java.lang.String engine)

### init

    public void init()

  Initialize associated mapper.

### destroy

    public void destroy()

  unregister this from JMImplementation:type=MBeanServerDelegate

### handleNotification

    public void handleNotification(javax.management.Notification notification,
                                   java.lang.Object handback)

  Specified by:
    `handleNotification` in interface `javax.management.NotificationListener`

### containerEvent

    public void containerEvent(ContainerEvent event)

  Description copied from interface: `ContainerListener`
  Acknowledge the occurrence of the specified event.

  Specified by:
    `containerEvent` in interface `ContainerListener`
  Parameters:
    `event` - ContainerEvent that has occurred

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.